package com.dsk.common.core.domain.entity;

import com.dsk.common.annotation.Excel;
import com.dsk.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 项目标签对象 business_label
 *
 * @author lxl
 * @date 2023-05-17
 */
public class BusinessLabel extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Integer id;

    /** 项目id */
    @Excel(name = "项目id")
    private Integer businessId;

    /** 标签 */
    @Excel(name = "标签")
    private String label;

    public void setId(Integer id)
    {
        this.id = id;
    }

    public Integer getId()
    {
        return id;
    }
    public void setBusinessId(Integer businessId)
    {
        this.businessId = businessId;
    }

    public Integer getBusinessId()
    {
        return businessId;
    }
    public void setLabel(String label)
    {
        this.label = label;
    }

    public String getLabel()
    {
        return label;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("businessId", getBusinessId())
            .append("label", getLabel())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
